package it.tref.liferay.mapit.map.hook.deploy.action;

import it.tref.liferay.mapit.map.util.MapItPluginUtil;

import com.liferay.portal.kernel.events.ActionException;
import com.liferay.portal.kernel.events.SimpleAction;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;

public class DeployAction extends SimpleAction {

  private final static Log _log = LogFactoryUtil.getLog(DeployAction.class);

  @Override
  public void run(String[] ids) throws ActionException {
    try {
      MapItPluginUtil.searchAndUpdatePlugins();
    } catch (SystemException e) {
      _log.error(e, e);
    }
  }

}
