
<%@page import="it.tref.liferay.mapit.constants.PortletConfiguration"%>
<%@page import="it.tref.liferay.mapit.util.AssetUtil"%>
<%@page import="it.tref.liferay.mapit.constants.Constants"%>
<%@page import="it.tref.liferay.mapit.map.service.PluginLocalServiceUtil"%>
<%@page import="it.tref.liferay.mapit.map.model.Plugin"%>
<%@page import="com.liferay.portal.kernel.dao.orm.QueryUtil"%>

<%@include file="/html/init.jsp" %>

<%

long companyId = company.getCompanyId();
long groupId = scopeGroupId;
long userId = user.getUserId();

String language = locale.getLanguage();
String country = locale.getCountry();

String mapHeight = portletPreferences.getValue(PortletConfiguration.HEIGHT, "500");
String apiKey = portletPreferences.getValue(PortletConfiguration.API_KEY, StringPool.BLANK);
String apiVersion = portletPreferences.getValue(PortletConfiguration.API_VERSION, StringPool.BLANK);
String mapType = portletPreferences.getValue(PortletConfiguration.MAP_TYPE, Constants.MapTypeValue.OPEN_STREET_MAP);
String centerLatitude = portletPreferences.getValue(PortletConfiguration.CENTER_LAT, "0");
String centerLongitude = portletPreferences.getValue(PortletConfiguration.CENTER_LON, "0");
String centerZoom = portletPreferences.getValue(PortletConfiguration.ZOOM_FACTOR, "3");
String mapStyles = portletPreferences.getValue(PortletConfiguration.MAP_STYLES, StringPool.BLANK);

boolean saveLastPosition = Boolean.valueOf(portletPreferences.getValue(PortletConfiguration.SAVE_LAST_POSITION, StringPool.FALSE));
boolean showMapCode = Boolean.valueOf(portletPreferences.getValue(PortletConfiguration.SHOW_MAP_CODE, StringPool.FALSE));
boolean geoBrowser = Boolean.valueOf(portletPreferences.getValue(PortletConfiguration.GEO_BROWSER, StringPool.FALSE));
//boolean ignoreView = Boolean.valueOf(portletPreferences.getValue(PortletConfiguration.IGNORE_VIEW, StringPool.FALSE));
boolean ignoreBbox = Boolean.valueOf(portletPreferences.getValue(PortletConfiguration.IGNORE_BBOX, StringPool.FALSE));

boolean layerSwitch = Boolean.valueOf(portletPreferences.getValue(PortletConfiguration.LAYER_SWITCH, StringPool.FALSE));
boolean fullScreen = Boolean.valueOf(portletPreferences.getValue(PortletConfiguration.FULL_SCREEN, StringPool.FALSE));
boolean navToolbar = Boolean.valueOf(portletPreferences.getValue(PortletConfiguration.NAV_TOOLBAR, StringPool.FALSE));
boolean mousePosition = Boolean.valueOf(portletPreferences.getValue(PortletConfiguration.MOUSE_POSITION, StringPool.FALSE));
boolean scale = Boolean.valueOf(portletPreferences.getValue(PortletConfiguration.SCALE, StringPool.FALSE));
boolean home = Boolean.valueOf(portletPreferences.getValue(PortletConfiguration.HOME, StringPool.TRUE));
boolean overviewMap = Boolean.valueOf(portletPreferences.getValue(PortletConfiguration.OVERVIEW_MAP, StringPool.FALSE));

String zoomType = portletPreferences.getValue(PortletConfiguration.ZOOM_TYPE, Constants.ZoomTypeValue.SIMPLE);

boolean noPopup = Boolean.valueOf(portletPreferences.getValue(PortletConfiguration.NO_POPUP, StringPool.FALSE));

long[] availableClassNameIds = AssetUtil.getAvailableIndexerClassNameIds(companyId);
long[] classNameIds = StringUtil.split(portletPreferences.getValue(PortletConfiguration.CLASS_NAME_IDS, StringPool.BLANK), 0L);

List<Plugin> plugins = PluginLocalServiceUtil.getActivePlugins(QueryUtil.ALL_POS, QueryUtil.ALL_POS);

String[] availablePluginsIds = new String[plugins.size()];
int indexPlugin = 0;
for (Plugin plugin : plugins) {
  availablePluginsIds[indexPlugin++] = plugin.getContext();
}

String[] pluginIds = StringUtil.split(portletPreferences.getValue(PortletConfiguration.PLUGIN_IDS, StringPool.BLANK));
%>